com.holonplatform.vaadin.flow.components.builders

## Interface ViewComponentConfigurator<T,C extends ViewComponentConfigurator<T,C>>

- Type Parameters:
    `T` - Value type
    `C` - Concrete configurator type
  All Superinterfaces:
    ClickNotifierConfigurator<ViewComponent<T>,ClickEvent<ViewComponent<T>>,C>, ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasLabelConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasTitleConfigurator<C>, HtmlComponentConfigurator<C>
  All Known Subinterfaces:
    ViewComponentAdapterBuilder<T>, ViewComponentBuilder<T>

      public interface ViewComponentConfigurator<T,C extends ViewComponentConfigurator<T,C>>
      extends HtmlComponentConfigurator<C>, HasEnabledConfigurator<C>, HasLabelConfigurator<C>, ClickNotifierConfigurator<ViewComponent<T>,ClickEvent<ViewComponent<T>>,C>, DeferrableLocalizationConfigurator<C>

  `ViewComponent` configurator.
  Since:
    5.2.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `labelVisible(boolean visible)` Set whether the label is visible.
    `C` | `withValue(T value)` Sets an initial value for the component.
    `C` | `withValueChangeListener(ValueHolder.ValueChangeListener<T,ValueHolder.ValueChangeEvent<T>> listener)` Add a `ValueHolder.ValueChangeListener` to the component.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ClickNotifierConfigurator

      `onClick, withClickListener, withClickShortcut, withClickShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### labelVisible

          C labelVisible(boolean visible)

      Set whether the label is visible.
      Parameters:
        `visible` - whether the label is visible
      Returns:
        this

    - #### withValue

          C withValue(T value)

      Sets an initial value for the component.
      Parameters:
        `value` - The initial value to set
      Returns:
        this

    - #### withValueChangeListener

          C withValueChangeListener(ValueHolder.ValueChangeListener<T,ValueHolder.ValueChangeEvent<T>> listener)

      Add a `ValueHolder.ValueChangeListener` to the component.
      Parameters:
        `listener` - The `ValueHolder.ValueChangeListener` to add (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.